Skip to main content
Platform O&M/Tag Operations
PUTTag OperationsSince 3.2.0SynchronousAuth Required

UpdateTag

UpdateTag

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatetagObjectRequired

    updatetag request body object.

    • nameString

      Optional. The resource name.

    • valueString

      Optional. The tag value.

    • descriptionString

      Optional. The detailed description of the resource.

    • colorString

      Optional. The tag color.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns an empty JSON object {}.

Endpoint

PUT/zstack/v1/tags/{uuid}/actions

/zstack/v1/tags/{uuid}/actions

Operation ID

UpdateTag

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/tags/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatetag":{"name":"<name>","value":"<value>","description":"<description>","color":"<color>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{}

Change History

This API has no change history records yet.

View all change history